Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface JaasSubjectCredential

All Superinterfaces:
  ActiveCredential, Credential

All Known Subinterfaces:
  LtpaTokenCredential, SiteMinderTokenCredential, SSMTokenCredential, WebSealTokenCredential

All Known Implementing Classes:
  JaasSubjectCredential, LtpaTokenCredential, SiteMinderTokenCredential, SSMTokenCredential, WebSealTokenCredential

Deprecated. Since 8.5.

    public interface JaasSubjectCredential

extends ActiveCredential

Abstract inherited interface of ActiveCredential where the user's secret is a `JAAS Subject` pair. Preconditions:

- The configuration data passed to the init method must define the following values: KEY_CREDENTIAL_SECRET (in addition to the ones required by `ActiveCredential`)

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.lang.String url)` Deprecated. Returns a new Http URL connection with added authentication data.
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.net.URL url)` Deprecated. Returns a new Http URL connection with added authentication data.
`int` | `getSecretType()` Deprecated. Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Initializes a new JaasSubjectCredential.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.ActiveCredential
`isActive`

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Initializes a new JaasSubjectCredential.

  Specified by:
    `init` in interface `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    int getSecretType()

  Deprecated.
  Description copied from interface: `Credential`
  Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Returns:
    int Credential Secret Type Identifier
  See Also:
    `CredentialVaultService`

### getAuthenticatedConnection

    java.net.HttpURLConnection getAuthenticatedConnection(java.net.URL url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Parameters:
    `url` - the target URL for the connection. Note that it need not be opened yet.
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened

### getAuthenticatedConnection

    java.net.HttpURLConnection getAuthenticatedConnection(java.lang.String url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Parameters:
    `url` - the target URL for the connection
  Returns:
    HttpURLConnection A new authenticated (and yet uncommitted) connection.
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD